;
layui.config({
	base: "../../js/layuiPlugins/"
}).use(['form', 'layer', 'jquery', 'table','laytpl'], function () {
    var form = layui.form,
        layer = layui.layer,
        laytpl = layui.laytpl,
        $ = layui.jquery,
        table = layui.table;
    var funcName = "role";
    form.verify({
        namelength: [
            /^.{0,12}$/,
            "长度限制在0-12个字符噢"
        ]
    });
    //工具条处理
    function toolOperating(obj) {
        var data = obj.data;
        if (obj.event === 'del') {
            layer.confirm('真的删除吗？', function (index) {
                layer.close(index);
                var index1 = layer.msg('删除中，请稍候', {
                    icon: 16,
                    time: false,
                    shade: 0.8
                });
                $.ajax({
                    type: "get",
                    url: 'delete_' + funcName + '?guid=' + obj.data.guid,
                    success: function (res) {
                        layer.close(index1);
                        if (!(res.code - 0)) {
                            obj.del();
                            table.reload(funcName);
                        }
                    }
                });
            });
        } else if (obj.event === 'edit') { //修改
            layer.open({
                type: 2,
                anim: 0,
                title: "修改",
                area: ['800px', '470px'],
                fixed: true,
                scrollbar: true,
                maxmin: true,
                content: 'add_change.html?event=edit&guid=' + data.guid,
                end: function () {
                    table.reload(funcName); //重新载入表格
                }
            });
        } else if (obj.event === 'view') { //查看
            layer.open({
                type: 2,
                anim: 0,
                title: "查看",
                area: ['800px', '470px'],
                fixed: true,
                scrollbar: true,
                maxmin: true,
                content: 'add_change.html?event=view&guid=' + data.guid,
                end: function () {
                }
            });
        } else if (obj.event === 'distrib') { //授权
            layer.open({
                type: 2,
                anim: 0,
                title: "授权",
                area: ['800px', '470px'],
                fixed: true,
                scrollbar: true,
                maxmin: true,
                content: 'auth.html?event=distrib&guid=' + data.guid,
                end: function () {
                }
            });
        }
    }

    //列表
    var DataList = {
        id: funcName,
        elem: '#DataTable',
        url: funcName + 'List',
        page: true,
        method: "post",
        contentType: 'application/json',
        loading: true,
        cellMinWidth: 80,
        cols: [
            [ //标题栏
                {
                    field: 'roleName',
                    title: '角色名称',
                    align: 'left',
                }, {
                field: 'remark',
                title: '备注',
                align: 'left'
            }, {
                field: 'operating',
                title: '操作',
                toolbar: '#operatingTool',
                align: 'center',
                fixed: 'right',
                width: 240
            }
            ]
        ] //设置表头
        , done: function (res) {
            resetButton(layui.sessionData(window.hywa.sessionTable.tableName).userData.menus.subMenuList, $);
        }
    };

    //执行默认渲染表格
    table.render(DataList);

    //监听产品工具事件条
    table.on('tool(DataTable)', function (obj) {
        toolOperating(obj);
    });
    //搜索响应函数
    var infoSearch = function (obj) {
        table.reload(funcName, { //执行重载
            where: obj.field
        });
        return false;
    };
    //监听搜索表单事件
    form.on("submit(DataSearch)", infoSearch);

    //监听可用操作
    form.on('checkbox(statusDemo)', function (obj) {
        $.ajax({
            url: 'forbidUser?guid=' + obj.elem.id + '&isForbid=' + this.value,
            type: 'get',
            contentType: 'application/json',
            success: function (res) {
                if (!(res.code - 0)) {
                    parent.layer.msg(res.msg, {
                        icon: 1
                    });
                    table.reload(funcName);
                } else {
                    layer.msg(res.msg, {
                        icon: 2
                    });
                    obj.elem.checked = !obj.elem.checked;
                    form.render();
                }
            }
        });
    });
    $("#addBtn").on("click", function () {
        layer.open({
            type: 2,
            anim: 0,
            title: "新增",
            area: ['800px', '470px'],
            fixed: true,
            scrollbar: true,
            maxmin: true,
            content: 'add_change.html',
            end: function () {
                table.reload(funcName);
            }
        });
    });
});
